#ifndef ATTACHMENT_H
#define ATTACHMENT_H

#include <QObject>
#include <vmime/attachment.hpp>
#include "fly-mail-shared_global.h"

namespace FlyMail {

class FLYMAILSHARED_EXPORT Attachment : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString name MEMBER m_name NOTIFY nameChanged)
    Q_PROPERTY(QString type MEMBER m_type NOTIFY typeChanged)
    Q_PROPERTY(QString size MEMBER m_size NOTIFY sizeChanged)
public:
    explicit Attachment(vmime::shared_ptr <const vmime::attachment> att, QObject *parent = nullptr);

    vmime::shared_ptr<const vmime::attachment> att() const;

signals:
    void nameChanged();
    void typeChanged();
    void sizeChanged();

public slots:
    void open();
    void save(const QString &path);

private:
    static QByteArray m_lastFileId;
    QString m_name;
    QString m_type;
    QString m_size;
    vmime::shared_ptr <const vmime::attachment> m_att;
};

}

#endif // ATTACHMENT_H
