#ifndef CONTACTS_MODEL_H
#define CONTACTS_MODEL_H

#include <QAbstractListModel>

#include "fly-mail-shared_global.h"

namespace FlyPhone {
class Contact;
class SqliteDatabase;
}

namespace FlyMail {

class Letter;

class FLYMAILSHARED_EXPORT ContactsModel : public QAbstractListModel
{
    Q_OBJECT
public:
    enum ContactRoles { IdRole = Qt::UserRole + 1, NameRole, EmailRole, NameAndEmailRole };

    explicit ContactsModel(QObject *parent = nullptr);
    ~ContactsModel();

    QHash<int, QByteArray> roleNames() const override;
    int rowCount(const QModelIndex &parent) const override;
    QVariant data(const QModelIndex &index, int role) const override;

    QByteArray contactImage(const QString &id) const;

public slots:
    void addContactsFromLetter(Letter * letter);

private:
    void initialize();
    bool isEmailExist(const QString &email); // TODO too heavy function

    QList <FlyPhone::Contact *> m_contacts;
    FlyPhone::SqliteDatabase  * m_db;
};

}

#endif // CONTACTS_MODEL_H
