#ifndef INCOMINGSERVER_H
#define INCOMINGSERVER_H

#include "server.h"
#include "fly-mail-shared_global.h"

namespace FlyMail {

class FLYMAILSHARED_EXPORT IncomingServer : public Server
{
    Q_OBJECT
public:
    explicit IncomingServer(QObject *parent = nullptr);
    ~IncomingServer();

    bool sendEmail(vmime::shared_ptr<vmime::message> &message) override;
    bool getEmail(int index = 0) override;
    void deleteEmail(int index) override;

signals:

public slots:
    Server * clone() override;

private:
    bool connect() override;

    vmime::shared_ptr <vmime::net::store> m_store;
    vmime::shared_ptr <vmime::net::folder> m_folder;
    vmime::shared_ptr <vmime::net::message> m_message;
};

}

#endif // INCOMINGSERVER_H
