#ifndef MAIL_PROXYMODEL_H
#define MAIL_PROXYMODEL_H

#include "model.h"

#include <QSortFilterProxyModel>

#define GLOBAL_SETTINGS "global"

namespace FlyMail {

class FLYMAILSHARED_EXPORT ProxyModel : public QSortFilterProxyModel
{
    Q_OBJECT

public:
    explicit ProxyModel(QObject *parent = nullptr);

signals:
    void beyondLimits(QString id, int index, int folder, Letter *letter);

public slots:
    int getSourceModelIndex(int index);
    int count();
    void onCheckFolderLimits();

protected:
    bool lessThan(const QModelIndex &left, const QModelIndex &right) const override;
    //bool filterAcceptsRow(int source_row, const QModelIndex &source_parent) const;
};

}

#endif // MAIL_PROXYMODEL_H
